Index: /Dev/trunk/Gruntfile.js
===================================================================
--- /Dev/trunk/Gruntfile.js	(revision 515)
+++ /Dev/trunk/Gruntfile.js	(revision 516)
@@ -14,5 +14,5 @@
                                   ,'coffeelint:lint'
                                   ,'jsonlint:lint'
-                                  //,'tv4:lint'
+                                //,'tv4:lint'
                                   ,'less:compile'
                                   ,'usebanner:generated-css'
@@ -27,4 +27,8 @@
                                 ,'dojo:build'
                                 ]);
+    grunt.registerTask('deploy', ['path-check:deploy',
+                                  'svninfo',
+                                  'build',
+                                  'git_deploy:deploy']);
 
     // FILES AND FOLDERS
@@ -69,4 +73,14 @@
                                 releaseDir: '../../'+buildDir }}
         },
+        git_deploy: {
+            deploy: {
+                options: {
+                    url: 'git@heroku.com:quod-erat.git',
+                    branch: 'master',
+                    message: "Deployment of revision <%= svninfo.rev %> on <%= grunt.template.today() %>."
+                },
+                src: buildDir
+            }
+        },
         htmlhint: {
             options: { htmlhintrc: srcDir+".htmlhintrc" },
@@ -82,5 +96,5 @@
         },
         jsonlint: {
-            'lint': { files: { src: [ srcDir+'client/qed-client/**/*.json', srcDir+'server/**/*.json' ] } },
+            'lint': { files: { src: [ srcDir+'client/qed-client/**/*.json', srcDir+'server/**/*.json' ] } }
         },
         less: {
@@ -88,4 +102,9 @@
                        dumpLineNumbers: "all" },
             compile: { files: lessMap }
+        },
+        'path-check': {
+            'deploy': {
+                src: [ 'git', 'svn' ]
+            }
         },
         requirejs: {
@@ -143,6 +162,9 @@
     grunt.loadNpmTasks('grunt-contrib-less');
     grunt.loadNpmTasks('grunt-dojo');
+    grunt.loadNpmTasks('grunt-git-deploy');
     grunt.loadNpmTasks('grunt-htmlhint');
     grunt.loadNpmTasks('grunt-jsonlint');
+    grunt.loadNpmTasks('grunt-path-check');
+    grunt.loadNpmTasks('grunt-svninfo');
     grunt.loadNpmTasks('grunt-tv4');
     grunt.loadTasks('./grunt-tasks');
Index: /Dev/trunk/src/server/config/couchdb-design-docs.js
===================================================================
--- /Dev/trunk/src/server/config/couchdb-design-docs.js	(revision 515)
+++ /Dev/trunk/src/server/config/couchdb-design-docs.js	(revision 516)
@@ -26,7 +26,7 @@
     },
 
-    "qed/_design/default": {
+    "qed/_design/protectPublished": {
         __configAction: "replace",
-        _id: "_design/default",
+        _id: "_design/protectPublished",
         language: "javascript",
         validate_doc_update: function(newDoc, oldDoc, userCtx, secObj) {
@@ -34,5 +34,11 @@
                 throw({forbidden:'Published documents cannot be modified.'});
             }
-        },
+        }
+    },
+
+    "qed/_design/default": {
+        __configAction: "replace",
+        _id: "_design/default",
+        language: "javascript",
         views: {
             by_type: {
Index: /Dev/trunk/src/server/config/couchdb-upgrade-design-docs.js
===================================================================
--- /Dev/trunk/src/server/config/couchdb-upgrade-design-docs.js	(revision 515)
+++ /Dev/trunk/src/server/config/couchdb-upgrade-design-docs.js	(revision 516)
@@ -5,6 +5,7 @@
     },
 
-    "qed/_design/default": {
-        __configAction: "replace"
+    "qed/_design/protectPublished": {
+        __configAction: "replace",
+        _id: "_design/protectPublished"
     }
 
